{% extends 'public/_public.layout.html.twig' %}

{% block title %}Inscription{% endblock %}

{% block stylesheets %}
  {{ parent() }}
  {{ encore_entry_link_tags('signup') }}
{% endblock %}

{% block content %}

  <main class="fr-pt-md-14v" role="main" id="content">
    <div class="fr-container fr-container--fluid fr-mb-md-14v">
      <div class="fr-grid-row fr-grid-row-gutters fr-grid-row--center">
        <div class="fr-col-12 fr-col-md-8 fr-col-lg-6">
          <h2>Création de compte</h2>

          <p>Agents en intervention est une solution numérique de l'agence nationale de la cohésion des
            territoires facilitant la coordination des interventions techniques sur le terrain.</p>
          <div class="fr-container fr-background-default--grey fr-px-md-0 fr-py-10v fr-py-md-14v">
            <div class="fr-grid-row fr-grid-row-gutters fr-grid-row--center">
              <div class="fr-col-12 fr-col-md-9 fr-col-lg-8">

                {% if error %}
                  <div class="fr-alert fr-alert--error">
                    <h3 class="fr-alert__title">Erreur survenue lors de la connexion</h3>
                    <p>{{ error.messageKey|trans(error.messageData, 'security') }}</p>
                  </div>
                {% endif %}

                {% if app.user %}
                  <div class="mb-3">
                    Vous êtes authentifié en tant que {{ app.user.userIdentifier }}, <a
                      href="{{ path('app_logout') }}">Me
                      déconnecter</a>
                  </div>
                {% endif %}

                <div class="fr-stepper"><h3 class="fr-stepper__title">Renseigner l'identifiant de l’administrateur
                    <span
                      class="fr-stepper__state">Étape 3 sur 3</span></h3>
                  <div class="fr-stepper__steps" data-fr-current-step="3" data-fr-steps="3"></div>
                  <p class="fr-stepper__details"><span class="fr-text--bold">Étape suivante :</span> ???</p>
                </div>

                <hr />

                {{ form_start(form) }}
                {{ form_row(form.login) }}
                {{ form_row(form.password) }}

                <div class="fr-fieldset__element">
                  <div class="fr-checkbox-group">

                    {{ form_widget(form.agreeTerms) }}
                    {{ form_label(form.agreeTerms) }}
                    {{ form_help(form.agreeTerms) }}
                    {{ form_errors(form.agreeTerms) }}
                  </div>
                </div>

                {{ form_rest(form) }}
                {{ form_end(form) }}

              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </main>

{% endblock %}
